android: Increase the minSdkVersion to 15 and targetSdkVersion to 22
authorTobias Brunner <tobias@strongswan.org>
Wed, 10 Jun 2015 13:13:49 +0000 (15:13 +0200)
committerTobias Brunner <tobias@strongswan.org>
Tue, 28 Jul 2015 11:27:31 +0000 (13:27 +0200)
There are no devices anymore that use API level 14 (4.0-4.0.2) and 22 is
the most recent level.

src/frontends/android/AndroidManifest.xml

index 1036598..5075440 100644 (file)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="utf-8"?>
 <!--
-    Copyright (C) 2012-2014 Tobias Brunner
+    Copyright (C) 2012-2015 Tobias Brunner
     Copyright (C) 2012 Giuliano Grassi
     Copyright (C) 2012 Ralf Sager
     Hochschule fuer Technik Rapperswil
@@ -20,7 +20,7 @@
     android:versionCode="26"
     android:versionName="1.4.5" >
 
-    <uses-sdk android:minSdkVersion="14" android:targetSdkVersion="19" />
+    <uses-sdk android:minSdkVersion="15" android:targetSdkVersion="22" />
 
     <uses-permission android:name="android.permission.INTERNET" />
     <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />